###########################################################################
#
# win32.mak -- Makefile for file hashfile
# Copyright (C) 1999 DigiLib Systems Ltd, All rights reserved
#
###########################################################################


PACKAGE = hashfile
VERSION = 
 
AR = lib
CC = cl
#CFLAGS = -g -O 
CPPFLAGS = 
DEFS = -DQUIET -DHAVE_CONFIG_H -D__WIN32__ -D_LITTLE_ENDIAN -D__STL_NO_NEW_IOSTREAMS \
       -DGSDL_NAMESPACE_BROKEN -DSHORT_SUFFIX
INCLUDES = -I. -I..\..\lib -If:\STLport-3.2\stlport
LIBS = ..\..\lib\gsdllib.lib
GSDLOS = windows

COMPILE = $(CC) -c -GX $(DEFS) $(INCLUDES)
LINK = $(CC) $(LDFLAGS)

.SUFFIXES:
.SUFFIXES: .cpp .obj
.cpp.obj:
	$(COMPILE) $<

ANSI2KNR = 
o = .obj
e = .exe
 
HEADERS = 

SOURCES = hashfile.cpp

OBJECTS = hashfile$o

EXEC = hashfile$e
 
all : $(EXEC)

install: $(EXEC)
	copy $(EXEC) ../../bin/$(GSDLOS)/$(EXEC)

clean:
	del *.$o
	del $(EXEC)

HASHFILE_OBJS = hashfile$o

hashfile$e: $(HASHFILE_OBJS) $(LIBS)
	    $(LINK) $(HASHFILE_OBJS) $(LIBS)
